# Class OperationInfo

java.lang.Object
org.apache.tomcat.util.modeler.FeatureInfo
org.apache.tomcat.util.modeler.OperationInfo

All Implemented Interfaces:
  `Serializable`

public class OperationInfo extends FeatureInfo

Internal configuration information for an `Operation` descriptor.

Author:
  Craig R. McClanahan
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`impact`
`protected ParameterInfo[]`
`parameters`
`protected final ReadWriteLock`
`parametersLock`
`protected String`
`role`

### Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo

`description, info, name, type`

## Constructor Summary

Constructors
Constructor
Description
`OperationInfo()`
Standard zero-arguments constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addParameter(ParameterInfo parameter)`
Add a new parameter to the set of arguments for this operation.
`String`
`getImpact()`
`protected MBeanParameterInfo[]`
`getMBeanParameterInfo()`
`String`
`getReturnType()`
`String`
`getRole()`
`ParameterInfo[]`
`getSignature()`
`void`
`setImpact(String impact)`
`void`
`setReturnType(String returnType)`
`void`
`setRole(String role)`

### Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo

`getDescription, getName, getType, setDescription, setName, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### impact

protected String impact

### role

protected String role

### parametersLock

protected final ReadWriteLock parametersLock

### parameters

protected ParameterInfo[] parameters

## Constructor Details

### OperationInfo

public OperationInfo()
Standard zero-arguments constructor.

## Method Details

### getImpact

public String getImpact()

Returns:
  the "impact" of this operation, which should be a (case-insensitive) string value "ACTION", "ACTION_INFO", "INFO", or "UNKNOWN".

### setImpact

public void setImpact(String impact)

### getRole

public String getRole()

Returns:
  the role of this operation ("getter", "setter", "operation", or "constructor").

### setRole

public void setRole(String role)

### getReturnType

public String getReturnType()

Returns:
  the fully qualified Java class name of the return type for this operation.

### setReturnType

public void setReturnType(String returnType)

### getSignature

public ParameterInfo[] getSignature()

Returns:
  the set of parameters for this operation.

### addParameter

public void addParameter(ParameterInfo parameter)
Add a new parameter to the set of arguments for this operation.

Parameters:
  `parameter` - The new parameter descriptor

### getMBeanParameterInfo

protected MBeanParameterInfo[] getMBeanParameterInfo()